/********************************************************************************
 Author        : ADI CAST  macduan 

 Date          : 2011-4-13

 Hardware      : ADuC7026+AD5380	
********************************************************************************/

//-------------------------------------------------------------
//This file contains the common macro and function declarations
//-------------------------------------------------------------

#ifndef ADuC7026_DRIVER_H
#define ADuC7026_DRIVER_H
#define SET_SYNC()		GP4DAT = (GP4DAT | 0x00400000)	//P4.6->SYNC
#define CLR_SYNC()		GP4DAT = (GP4DAT & 0xFFBFFFFF)

#define SET_SCLK()	    GP2DAT = (GP2DAT | 0x00080000)	//P2.3->SCLK
#define CLR_SCLK()		GP2DAT = (GP2DAT & 0xFFF7FFFF)

#define	SET_SDIN()		GP4DAT = (GP4DAT | 0x00080000)	//P4.3->SDIN
#define	CLR_SDIN()		GP4DAT = (GP4DAT & 0xFFF7FFFF)



//----------------------
//Function declarations
//----------------------

void WriteToAD5380ViaSpi(long int RegisterData);

void ReadFromAD5380ViaSpi(long int *RegisterData);

void ADuC7026_Initiate(void);

void ComPortsToPC(long int);

void delay(int length);

void putchar(unsigned char ch);

#endif



